<ng-container *ngIf="postData && postData.user">
    <mat-card class="p-0 post-card">
        <mat-card-title>
            <img mat-card-image class="post-image rounded-circle" src="{{postData.user.imageUrl ? postData.user.imageUrl : 'assets/images/profile-default.png' }}" />
            <span class="post-owner">
                {{postData.user.fullName}}
                <p style="font-size:12px; color:gray">{{postData.createdTime | dateAgo}}</p>
            </span>
            
        </mat-card-title>
        <mat-card-content>
            <div class="container-fluid">
                <div class="row">
                    <div *ngIf="!isEditModeOn && !isSaveEditLoading" class="col post-mess">
                        {{postData.message}}
                    </div>
                    <div *ngIf="isEditModeOn && !isSaveEditLoading" class="col post-mess">
                        <textarea cols="25" rows="10" class="txt-add-post" placeholder="Neler oluyor?" [(ngModel)]= "messageToEdit"></textarea>
                        <br/>
                        <button mat-button color="primary" (click)="saveEdit()"> Kaydet</button>
                    </div>
                    <div *ngIf="isSaveEditLoading" class="col post-mess">
                        <mat-spinner></mat-spinner>
                    </div>
                </div>

                <div *ngIf="mediaUrl" class="row mt-1">
                    <div class="col post-media-span pl-0 pr-0">
                        <img [src]="mediaUrl" class="post-img-file">
                        <!-- <div class="post-img-file-bg" [ngStyle]="{'background-image': 'url(data:image/png;base64,' + mediaUrl + ')'}"></div> -->
                    </div>
                </div>
            </div>
        </mat-card-content>
        <mat-card-actions>
            <button *ngIf="!postData.isLiked" (click)="likePost()" mat-icon-button color="basic" aria-label="Example icon button with a heart icon">
                <mat-icon>favorite</mat-icon><ng-container *ngIf="postData.likeCount && postData.likeCount > 0">{{postData.likeCount}}</ng-container>
            </button>
            <button *ngIf="postData.isLiked" (click)="unlikePost()" mat-icon-button color="warn" aria-label="Example icon button with a heart icon">
                <mat-icon>favorite</mat-icon><ng-container *ngIf="postData.likeCount && postData.likeCount > 0">{{postData.likeCount}}</ng-container>
            </button>
            <button *ngIf="postData.isSharable" mat-button color="primary"> Paylaş </button>
            <button *ngIf="currentUser && currentUser.userId === postData.user.userId" mat-button color="primary" (click)="openEditMode(postData.message)"> Düzenle </button>
        </mat-card-actions>
    </mat-card>
</ng-container>